<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006 
// |-------------------------------------------------------------|
// | File Details:
// | - Knowledgebase detail
// |-------------------------------------------------------------|
require_once("init.php");
require_once("lang/{$cur_lg_folder}/knowledgebase_detail.php");
zero::StartSession("Knowledgebase Detail User");

$smarty_tpl->assign("main_page","knowledgebase");

if ($pf == "print") {
  $article = zero::GetArticle($knowledge_ref);
	if (zero::IsHTML($article['problem']))
		$article['problem'] = nl2br(zero::ParseHTML2Text($article['problem'],false));
	if (zero::IsHTML($article['solution']))
	  $article['solution'] = nl2br(zero::ParseHTML2Text($article['solution'],false));
  $smarty_tpl->assign("lang", $lang);
  $smarty_tpl->assign("article",$article);
	$smarty_tpl->display("front/{$setting['front_tpl_dir']}/knowledgebase_detail_print.tpl");
	exit;
}
elseif ($pf == "rate") {
	if (zero::IsUserLoggedIn())
	  $user_id = $_COOKIE['DESKTINY_USER_ID'];
	else
	  $user_id = 0;
	zero::RateArticle($user_id, $knowledge_ref, $rating, $comment);
  zero::Redirect("knowledgebase_detail.php?knowledge_ref={$knowledge_ref}");
}

$article					= zero::GetArticle($knowledge_ref);
$related_articles	= zero::GetRelatedArticles($knowledge_ref);
$categories_link 	= zero::GetCategoriesLink($cat);
zero::IncrementArticleViews($knowledge_ref);
$smarty_tpl->assign("article",$article);
$smarty_tpl->assign("related_articles",$related_articles);
$smarty_tpl->assign("categories_link",$categories_link);

if (!$article) {
	$errors[] = "{$lang['a_no_article']} <b>[{$knowledge_ref}]</b>";
	$smarty_tpl->assign("errors",$errors);
}

zero::DisplayFront("knowledgebase_detail.tpl");
?>
