<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Detail and reply message
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}

$message = zero::GetMessage($message_id);
if (!$message)
  zero::Redirect("message_browse.php");

zero::StartSession("Detail Message");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 1);
$smarty_tpl->assign("subframe_title", "Private Message - detail message");

if ($pf == "reply") {
	zero::IsEmpty("subject", $lang['a_empty_subject']);
	zero::IsEmpty("message_text", $lang['a_empty_message']);
	if (zero::IsError())
	  EndScript();
	zero::ReplyMessage($subject, $message_text, $sender);
	$smarty_tpl->assign("success", 1);
}
elseif ($pf == "delete") {
	zero::DeleteMessage($message_id);
	zero::Redirect("message_browse.php");
}
$smarty_tpl->assign("message", $message);
$smarty_tpl->assign("message_id", $message_id);
zero::SetMessageRead($message_id);
$smarty_tpl->assign("page_sub_title", "- Private Message Detail ( {$message['subject']} )");
zero::DisplayStaff("message_detail.tpl");

function EndScript() {
	global $smarty_tpl, $errors;
	global $subject, $message_text, $message_id;

	$smarty_tpl->assign("subject", htmlentities($subject));
	$smarty_tpl->assign("message_text", htmlentities($message_text));
	$smarty_tpl->assign("errors", $errors);
	$smarty_tpl->assign("message", zero::GetMessage($message_id));
	$smarty_tpl->assign("message_id", $message_id);
  $smarty_tpl->assign("page_sub_title", "- Private Message Detail ( {$message['subject']} )");
	zero::DisplayStaff("message_detail.tpl");
	exit;
}

?>
