<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Schedule
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}

zero::StartSession("Schedule");
$smarty_tpl->assign("subframe", 2);
$smarty_tpl->assign("subframe_title", "Your Schedule");

$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$staff = zero::GetStaff($staff_id);

if ($pf == "delete") {
	zero::DeleteSchedule($schedule_id);
}
elseif ($pf == "toggle") {
  if (isset($schedule_id)) {
		zero::ToggleDoneSchedule($schedule_id);
  }
}

if (!is_numeric($limit) || empty($limit))
	$limit = 20;

$request = $_SERVER[QUERY_STRING];
if (empty($Date_Month) || empty($Date_Year)) {
	$Date_Month = strftime("%m", time() + $staff['time_zone'] - date("Z"));
	$Date_Year = strftime("%Y", time() + $staff['time_zone'] - date("Z"));
	$day_loc 	= strftime("%d", time() + $staff['time_zone'] - date("Z"));
	$hour_loc = strftime("%H", time() + $staff['time_zone'] - date("Z"));
	$min_loc 	= strftime("%M", time() + $staff['time_zone'] - date("Z"));
	$cal_time	= mktime ($hour_loc,$min_loc,0,$Date_Month,$day_loc,$Date_Year);

  $smarty_tpl->assign("schedule_browse_time", date("F Y", $cal_time));
  $smarty_tpl->assign("schedule_year", date("Y", $cal_time));
  $smarty_tpl->assign("schedule_month", date("m", $cal_time));
  $smarty_tpl->assign("schedule_day", 0);
}
else {
  $cal_time = mktime(0,0,0,$Date_Month,$Date_Day?$Date_Day:1,$Date_Year);
  if ($Date_Day) {
  	$smarty_tpl->assign("browse_day", "1");
  	$smarty_tpl->assign("schedule_browse_time", date("j F Y", $cal_time));
  }
  else
    $smarty_tpl->assign("schedule_browse_time", date("F Y", $cal_time));
  $smarty_tpl->assign("schedule_year", date("Y", $cal_time));
  $smarty_tpl->assign("schedule_month", date("m", $cal_time));
  if ($Date_Day)
  	$smarty_tpl->assign("schedule_day", date("j", $cal_time));
	else
	  $smarty_tpl->assign("schedule_day", 0);
}
$num_schedules = count(zero::GetSchedules($Date_Year, $Date_Month, $Date_Day));
$limit=10;
if (!isset($offset) || $offset < 0 || $offset >= $num_schedules )
  $offset = 0;
$schedules = zero::GetSchedules($Date_Year, $Date_Month, $Date_Day, $offset, $limit);
$smarty_tpl->assign("schedules", $schedules);

$pagination	= zero::GetPagination("schedule.php", $request, $num_schedules, $offset, $limit);
if (count($schedules))
	if ($num_schedules / count($schedules) > 1)
		$smarty_tpl->assign("pagination", $pagination);
$smarty_tpl->assign("limit", $limit);
$smarty_tpl->assign("offset", $offset);

$smarty_tpl->assign("task_today_options", zero::GetTaskTodayOptions($staff_id));
$smarty_tpl->assign("task_due_options", zero::GetTaskDueOptions($staff_id));
$days = zero::GetScheduleDays($staff_id, date("y", $cal_time),date("m", $cal_time));
zero::ShowCal(date("M", $cal_time),date("Y", $cal_time), "schedule.php","",2,1,$days);
$smarty_tpl->assign("cal_time",$cal_time);
$smarty_tpl->assign("page_sub_title", "- Schedule");
zero::DisplayStaff("schedule.tpl");
?>
