<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006 
// |-------------------------------------------------------------|
// | File Details:
// | - Register
// |-------------------------------------------------------------|
require_once("init.php");
require_once("lang/{$cur_lg_folder}/register.php");
zero::StartSession("Register User");

$smarty_tpl->assign("main_page","register");

$time_zone_options 	= zero::GetTimeZoneOptions();
$language_options 	= zero::GetLanguageOptions();
$smarty_tpl->assign("time_zone_options", $time_zone_options);
$smarty_tpl->assign("time_zone_id", $time_zone?$time_zone:date("Z"));
$smarty_tpl->assign("language_options", $language_options);
$smarty_tpl->assign("language_id", $language?$language:1);
zero::SetUserCustomField();
if ($pf == "register") {
	zero::IsEmpty("name", $lang['a_empty_name']);
	if (!zero::IsEmpty("email", $lang['a_empty_email']))
		zero::IsEmailFormatted("email", $lang['a_email_not_formatted']);
	zero::IsEmpty("password1", $lang['a_empty_password']);
	if (!zero::IsEmpty("password2", $lang['a_empty_confirm_password'])) {
	  if (trim($password1) != ($password2)) {
	    $errors[] = $lang['a_not_equal_confirm_password'];
			EndScript();
	  }
	}
	if (strlen($password1) < 5)
	  $errors[] = $lang['a_5_char_password'];
	zero::IsEmptyUserCustomFields();
	if (zero::IsError())
	  EndScript();
	if (!zero::CheckUserValidity($email))
	  EndScript();
 	$customfields = zero::GetGPCCustomFields();
	$user_id = zero::UserRegister($name, $email, $password1, $language, $time_zone, $customfields);
	zero::Redirect("register.php?user_id={$user_id}&pf=confirm");
}
elseif ($pf == "confirm")
  GetConfirmation($user_id);

zero::DisplayFront("register.tpl");

function EndScript() {
	global $smarty_tpl, $errors;
	global $name, $email, $password1, $password2;

	$smarty_tpl->assign("name", htmlentities($name));
	$smarty_tpl->assign("email", htmlentities($email));
	$smarty_tpl->assign("password1", htmlentities($password1));
	$smarty_tpl->assign("password2", htmlentities($password2));
	$smarty_tpl->assign("errors", $errors);
	zero::SetUserCustomField(true);
	zero::DisplayFront("register.tpl");
	exit;
}

function GetConfirmation($user_id) {
	global $smarty_tpl;

	$user = zero::GetUser($user_id);
	if (!$user)
		zero::Redirect("register.php");
	if (time() - $user['date_registered'] > 300)
	  zero::Redirect("register.php");
	$customfields = zero::GetUserCustomFields($user_id, false);
	$smarty_tpl->assign("user", $user);
	$smarty_tpl->assign("customfields", $customfields);
	$smarty_tpl->assign("confirmation", "register");
	zero::DisplayFront("confirmation.tpl");
	exit;
}

?>
