<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Browse article comment
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}

zero::StartSession("Browse Article Comment");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 3);
$smarty_tpl->assign("subframe_title", "Knowledgebase - article's comments");

if ($pf == "delete") {
	zero::DeleteArticleComments($comment_ids);
}

if (!is_numeric($limit) || empty($limit))
	$limit = 20;

$request = $_SERVER[QUERY_STRING];
$num_comments = count(zero::GetArticleComments($search_words, $order1, $order2));
if (!isset($offset) || $offset < 0 || $offset >= $num_comments )
  $offset = 0;

$comments = zero::GetArticleComments($search_words, $order1, $order2, $offset, $limit);
if ($comments) {
	if ($order1=="user" && $order2=="asc")
		usort($comments, "SortUserAsc");
	elseif ($order1=="user" && $order2=="desc")
		usort($comments, "SortUserDesc");
}

$smarty_tpl->assign("comments", $comments);
$smarty_tpl->assign("total_comments", $num_comments);
$pagination	= zero::GetPagination("knowledgebase_article_comment.php", $request, $num_comments, $offset, $limit);
if (count($comments))
	if ($num_comments / count($comments) > 1)
		$smarty_tpl->assign("pagination", $pagination);
$smarty_tpl->assign("search_words", $search_words);
$order1_options = array(0=>"&nbsp;",
												"date_created"=>"Date created",
												"ip_address"=>"IP address",
												"rate"=>"Rate",
												"subject"=>"Subject",
												"user"=>"User"
												);
$order2_options = array ("asc"=>"Ascending", "desc"=>"Descending");
$smarty_tpl->assign("order1_options", $order1_options);
$smarty_tpl->assign("order1", $order1?$order1:0);
$smarty_tpl->assign("order2_options", $order2_options);
$smarty_tpl->assign("order2", $order2);
$smarty_tpl->assign("limit", $limit);
$smarty_tpl->assign("offset", $offset);

$smarty_tpl->assign("page_sub_title", "- Article's Comments");
zero::DisplayStaff("knowledgebase_article_comment.tpl");

function SortUserAsc($a, $b) {
	if ($a["user_name"] == $b["user_name"])
	  return 0;
  return $a["user_name"] > $b["user_name"] ? 1:-1;
}
function SortUserDesc($a, $b) {
	if ($b["user_name"] == $a["user_name"])
	  return 0;
  return $b["user_name"] < $a["user_name"] ? -1:1;
}

?>
