<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Browse knowledgebase
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}

zero::StartSession("Browse Knowledgebase");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 3);
$smarty_tpl->assign("subframe_title", "Knowledgebase - browse articles");

if ($pf == "delete_a") {
	if (isset($knowledge_ref) && isset($cat_id)) {
		if (!zero::DeleteArticle($knowledge_ref)) {
		  $errors[] = "You have no right to delete this article";
		  $smarty_tpl->assign("errors", $errors);
		}
	}
}
elseif ($pf == "toggle") {
  if (isset($knowledge_ref) && isset($cat_id)) {
		zero::ToggleDisabledArticle($knowledge_ref);
  }
}

if (!is_numeric($limit) || empty($limit))
	$limit = 20;

$request = $_SERVER[QUERY_STRING];
$num_articles = count(zero::GetArticlesAll($search_words, $order1, $order2));
if (!isset($offset) || $offset < 0 || $offset >= $num_articles )
  $offset = 0;
$articles = zero::GetArticlesAll($search_words, $order1, $order2, $offset, $limit);
if ($order1=="category" && $order2=="asc")
	usort($articles, "SortCategoryAsc");
elseif ($order1=="category" && $order2=="desc")
	usort($articles, "SortCategoryDesc");
elseif ($order1=="rating" && $order2=="asc")
	usort($articles, "SortRatingAsc");
elseif ($order1=="rating" && $order2=="desc")
	usort($articles, "SortRatingDesc");
$smarty_tpl->assign("articles", $articles);
$pagination	= zero::GetPagination("knowledgebase_browse_plain.php", $request, $num_articles, $offset, $limit);
if (count($articles))
	if ($num_articles / count($articles) > 1)
		$smarty_tpl->assign("pagination", $pagination);
$smarty_tpl->assign("search_words", $search_words);
$order1_options = array(0=>"&nbsp;",
												"date_created"=>"Date created",
												"date_modified"=>"Date modified",
												"category"=>"Category",
												"rating"=>"Rating",
												"subject"=>"Subject"
												);
$order2_options = array ("asc"=>"Ascending", "desc"=>"Descending");
$smarty_tpl->assign("order1_options", $order1_options);
$smarty_tpl->assign("order1", $order1?$order1:0);
$smarty_tpl->assign("order2_options", $order2_options);
$smarty_tpl->assign("order2", $order2);
$smarty_tpl->assign("limit", $limit);
$smarty_tpl->assign("offset", $offset);

$smarty_tpl->assign("page_sub_title", "- Browse Articles (flat)");
zero::DisplayStaff("knowledgebase_browse_plain.tpl");

function SortCategoryAsc($a, $b) {
  return strcmp($a["category_str"],$b["category_str"]);
}
function SortCategoryDesc($a, $b) {
  return strcmp($b["category_str"],$a["category_str"]);
}
function SortRatingAsc($a, $b) {
  return strcmp($a["rating_avg"],$b["rating_avg"]);
}
function SortRatingDesc($a, $b) {
  return strcmp($b["rating_avg"],$a["rating_avg"]);
}

?>
