<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - POP Account Edit
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}
if (!zero::IsStaffAdmin()) {
	echo "Page cannot be access. Only admin.<br/><a href=\"index.php\">Home</a>";
	exit;
}

zero::StartSession("POP Account Edit");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 1);
$smarty_tpl->assign("subframe_title", "POP Account - Edit");

if ($pf == "update") {
	zero::IsEmpty("email", "Email required");
	zero::IsEmpty("user_name", "User Name required");
	zero::IsEmpty("password", "Password required");
	zero::IsEmpty("server", "Server required");
	zero::IsEmpty("port", "Port required");
	zero::IsEmpty("alias", "Alias required");
	if (zero::IsError())
	  EndScript();
	if (!zero::CheckPopAccount($server, $port, $user_name, $password)) {
	  $errors[] = "Your account cannot access to POP3 Server. Please check your account again.";
		EndScript();
	}
	
	if (!is_numeric($port))
	  $port = 110;
	zero::UpdatePopAccount($department_id,$email,$user_name,$password,$server,$port,$alias,$description,$is_delete);
	$smarty_tpl->assign("success", 1);
}

$pop = zero::GetPopAccount($department_id);
$department = zero::GetDepartment($department_id);
$smarty_tpl->assign("department", $department);
$smarty_tpl->assign("pop", $pop);
$smarty_tpl->assign("department_id", $department_id);
$smarty_tpl->assign("page_sub_title", "- Edit POP3 Account ( {$pop['department_name']} )");
zero::DisplayStaff("pop_account_edit.tpl");

function EndScript() {
	global $smarty_tpl, $errors;
	global $department_id,$email,$user_name,$password,$server,$port,$alias,$description,$is_delete;

	$department = zero::GetDepartment($department_id);
	$pop['user_name'] 	= htmlentities($user_name);
	$pop['alias'] 			= htmlentities($alias);
	$pop['description'] = htmlentities($description);
	$pop['email'] 			= $email;
	$pop['password'] 		= $password;
	$pop['server'] 			= $server;
	$pop['port'] 				= $port;
	$pop['is_delete'] 	= $is_delete;
	$smarty_tpl->assign("pop", $pop);
	$smarty_tpl->assign("department_id", $department_id);
	$smarty_tpl->assign("department", $department);
	$smarty_tpl->assign("errors", $errors);
  $smarty_tpl->assign("page_sub_title", "- Edit POP3 Account ( {$department['name']} )");
	zero::DisplayStaff("pop_account_edit.tpl");
	exit;
}

?>
